<?php get_header(); ?>

<div class="right-col">
<?php include('utility.php');?>
<?php include('sidebar.php');?>
</div>
	
<div id="content_page">

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>		

		<div class="post" id="post-<?php the_ID(); ?>">
			<div class="date"><h2><?php the_title(); ?></h2>
                        <?php the_author_posts_link(); ?> on <?php the_time(__('F j, Y')); ?>  in <?php the_category(', ') ?> <?php edit_post_link('Edit', ' &#124; ', ''); ?></div>
			    <div class="entry">
                             			   
                            <?php the_content('Read the rest of this entry &raquo;'); ?>
			    <?php wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>				
				<div class="postmetadata"><?php if (function_exists('the_tags')) { the_tags('Tags: ', ', ', '<br/>'); } ?></div>

			</div>
		</div>
<!-- Begin Related Posts -->
<div id="related_posts">
<?php
//for use in the loop, list 5 post titles related to first tag on current post
$tags = wp_get_post_tags($post->ID);
if ($tags) {
  echo '<h2>Related Posts:</h2>';
  $first_tag = $tags[0]->term_id;
  $args=array(
    'tag__in' => array($first_tag),
    'post__not_in' => array($post->ID),
    'showposts'=>5,
    'caller_get_posts'=>1
   );
  $my_query = new WP_Query($args);
  if( $my_query->have_posts() ) {
    while ($my_query->have_posts()) : $my_query->the_post(); ?>
      <p><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></p>
      <?php
    endwhile;
  }
}
?>
</div>
<!-- End Related Posts -->	

	<?php endwhile; ?>

              <div class="navigation">
			<div class="alignleft"><?php previous_post_link('%link') ?></div>
			<div class="alignright"><?php next_post_link('%link') ?></div>
		</div>

<?php else : ?>
		<p>Sorry, no posts matched your criteria.</p>

<?php endif; ?>

<?php comments_template(); ?>

	</div>
</div>
<?php get_footer(); ?>
